Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.builders
Class CreatePrescriptionBuilder

    java.lang.Object
      be.ehealth.businessconnector.recipe.builders.CreatePrescriptionBuilder

Deprecated.

    @Deprecated
    public class CreatePrescriptionBuilder

extends Object

The Class CreatePrescriptionBuilder.

Constructor Summary
`CreatePrescriptionBuilder()` Deprecated.
`CreatePrescriptionBuilder(Crypto crypto)` Deprecated. User it without crypto

Method Summary
`CreatePrescriptionRequest` | `buildRequest(boolean feedbackRequested, long patientId, byte[] prescription, String prescriptionType, KeyResult key)` Deprecated. Builds the request.
`CreatePrescriptionResult` | `buildResult(CreatePrescriptionResponse response)` Deprecated. Builds the result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreatePrescriptionBuilder

    @Deprecated
    public CreatePrescriptionBuilder(Crypto crypto)

  Deprecated. User it without crypto

  Instantiates a new creates the prescription builder.

### CreatePrescriptionBuilder

    public CreatePrescriptionBuilder()

  Deprecated.

Method Detail

### buildRequest

    public CreatePrescriptionRequest buildRequest(boolean feedbackRequested,
                                                  long patientId,
                                                  byte[] prescription,
                                                  String prescriptionType,
                                                  KeyResult key)
                                           throws TechnicalConnectorException

  Deprecated.
  Builds the request.

  Parameters:
    `feedbackRequested` - the feedback requested
    `patientId` - the patient id
    `prescription` - the prescription
    `prescriptionType` - the prescription type
    `key` - the key
  Returns:
    the creates the prescription request
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### buildResult

    public CreatePrescriptionResult buildResult(CreatePrescriptionResponse response)
                                         throws TechnicalConnectorException

  Deprecated.
  Builds the result.

  Parameters:
    `response` - the response
  Returns:
    the creates the prescription result
  Throws:
    `TechnicalConnectorException` - the technical connector exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.